<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Tue Jan 15 11:13:05 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.client Class Hierarchy (HttpClient 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.client Class Hierarchy (HttpClient 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/auth/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl.client
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/AbstractAuthenticationHandler.html" title="class in org.apache.http.impl.client"><B>AbstractAuthenticationHandler</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/AuthenticationHandler.html" title="interface in org.apache.http.client">AuthenticationHandler</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultProxyAuthenticationHandler.html" title="class in org.apache.http.impl.client"><B>DefaultProxyAuthenticationHandler</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultTargetAuthenticationHandler.html" title="class in org.apache.http.impl.client"><B>DefaultTargetAuthenticationHandler</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/AbstractHttpClient.html" title="class in org.apache.http.impl.client"><B>AbstractHttpClient</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultHttpClient.html" title="class in org.apache.http.impl.client"><B>DefaultHttpClient</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/ContentEncodingHttpClient.html" title="class in org.apache.http.impl.client"><B>ContentEncodingHttpClient</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/SystemDefaultHttpClient.html" title="class in org.apache.http.impl.client"><B>SystemDefaultHttpClient</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.message.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/message/AbstractHttpMessage.html?is-external=true" title="class or interface in org.apache.http.message"><B>AbstractHttpMessage</B></A> (implements org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpMessage.html?is-external=true" title="class or interface in org.apache.http">HttpMessage</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/RequestWrapper.html" title="class in org.apache.http.impl.client"><B>RequestWrapper</B></A> (implements org.apache.http.client.methods.<A HREF="../../../../../org/apache/http/client/methods/HttpUriRequest.html" title="interface in org.apache.http.client.methods">HttpUriRequest</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/EntityEnclosingRequestWrapper.html" title="class in org.apache.http.impl.client"><B>EntityEnclosingRequestWrapper</B></A> (implements org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpEntityEnclosingRequest.html?is-external=true" title="class or interface in org.apache.http">HttpEntityEnclosingRequest</A>)
</UL>
</UL>
<LI TYPE="circle">org.apache.http.params.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/AbstractHttpParams.html?is-external=true" title="class or interface in org.apache.http.params"><B>AbstractHttpParams</B></A> (implements org.apache.http.params.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>, org.apache.http.params.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParamsNames.html?is-external=true" title="class or interface in org.apache.http.params">HttpParamsNames</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/ClientParamsStack.html" title="class in org.apache.http.impl.client"><B>ClientParamsStack</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/AIMDBackoffManager.html" title="class in org.apache.http.impl.client"><B>AIMDBackoffManager</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/BackoffManager.html" title="interface in org.apache.http.client">BackoffManager</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/AutoRetryHttpClient.html" title="class in org.apache.http.impl.client"><B>AutoRetryHttpClient</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/BasicAuthCache.html" title="class in org.apache.http.impl.client"><B>BasicAuthCache</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/AuthCache.html" title="interface in org.apache.http.client">AuthCache</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/BasicCookieStore.html" title="class in org.apache.http.impl.client"><B>BasicCookieStore</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/CookieStore.html" title="interface in org.apache.http.client">CookieStore</A>, java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/BasicCredentialsProvider.html" title="class in org.apache.http.impl.client"><B>BasicCredentialsProvider</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/CredentialsProvider.html" title="interface in org.apache.http.client">CredentialsProvider</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/BasicResponseHandler.html" title="class in org.apache.http.impl.client"><B>BasicResponseHandler</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/ResponseHandler.html" title="interface in org.apache.http.client">ResponseHandler</A>&lt;T&gt;)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DecompressingHttpClient.html" title="class in org.apache.http.impl.client"><B>DecompressingHttpClient</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/HttpClient.html" title="interface in org.apache.http.client">HttpClient</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultBackoffStrategy.html" title="class in org.apache.http.impl.client"><B>DefaultBackoffStrategy</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/ConnectionBackoffStrategy.html" title="interface in org.apache.http.client">ConnectionBackoffStrategy</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultConnectionKeepAliveStrategy.html" title="class in org.apache.http.impl.client"><B>DefaultConnectionKeepAliveStrategy</B></A> (implements org.apache.http.conn.<A HREF="../../../../../org/apache/http/conn/ConnectionKeepAliveStrategy.html" title="interface in org.apache.http.conn">ConnectionKeepAliveStrategy</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultHttpRequestRetryHandler.html" title="class in org.apache.http.impl.client"><B>DefaultHttpRequestRetryHandler</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/HttpRequestRetryHandler.html" title="interface in org.apache.http.client">HttpRequestRetryHandler</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/StandardHttpRequestRetryHandler.html" title="class in org.apache.http.impl.client"><B>StandardHttpRequestRetryHandler</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultRedirectHandler.html" title="class in org.apache.http.impl.client"><B>DefaultRedirectHandler</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/RedirectHandler.html" title="interface in org.apache.http.client">RedirectHandler</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultRedirectStrategy.html" title="class in org.apache.http.impl.client"><B>DefaultRedirectStrategy</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/RedirectStrategy.html" title="interface in org.apache.http.client">RedirectStrategy</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/LaxRedirectStrategy.html" title="class in org.apache.http.impl.client"><B>LaxRedirectStrategy</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultRequestDirector.html" title="class in org.apache.http.impl.client"><B>DefaultRequestDirector</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/RequestDirector.html" title="interface in org.apache.http.client">RequestDirector</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultServiceUnavailableRetryStrategy.html" title="class in org.apache.http.impl.client"><B>DefaultServiceUnavailableRetryStrategy</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/ServiceUnavailableRetryStrategy.html" title="interface in org.apache.http.client">ServiceUnavailableRetryStrategy</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/DefaultUserTokenHandler.html" title="class in org.apache.http.impl.client"><B>DefaultUserTokenHandler</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/UserTokenHandler.html" title="interface in org.apache.http.client">UserTokenHandler</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/HttpAuthenticator.html" title="class in org.apache.http.impl.client"><B>HttpAuthenticator</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/NullBackoffStrategy.html" title="class in org.apache.http.impl.client"><B>NullBackoffStrategy</B></A> (implements org.apache.http.client.<A HREF="../../../../../org/apache/http/client/ConnectionBackoffStrategy.html" title="interface in org.apache.http.client">ConnectionBackoffStrategy</A>)
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/ProxyAuthenticationStrategy.html" title="class in org.apache.http.impl.client"><B>ProxyAuthenticationStrategy</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/ProxyClient.html" title="class in org.apache.http.impl.client"><B>ProxyClient</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/RedirectLocations.html" title="class in org.apache.http.impl.client"><B>RedirectLocations</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/RoutedRequest.html" title="class in org.apache.http.impl.client"><B>RoutedRequest</B></A><LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/TargetAuthenticationStrategy.html" title="class in org.apache.http.impl.client"><B>TargetAuthenticationStrategy</B></A><LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><B>Throwable</B></A> (implements java.io.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><B>Exception</B></A><UL>
<LI TYPE="circle">org.apache.http.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http"><B>HttpException</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.client.<A HREF="../../../../../org/apache/http/impl/client/TunnelRefusedException.html" title="class in org.apache.http.impl.client"><B>TunnelRefusedException</B></A></UL>
</UL>
</UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/impl/auth/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/conn/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/client/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
